Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCityBlockDistance Class Reference

`#include <vtkImageCityBlockDistance.h>`

Inheritance diagram for vtkImageCityBlockDistance:

[legend]
Collaboration diagram for vtkImageCityBlockDistance:

[legend]
List of all members.

## Detailed Description

1,2 or 3D distance map.

Date:
  2002/01/22 15:32:00

Revision:
  1.27

vtkImageCityBlockDistance creates a distance map using the city block (Manhatten) distance measure. The input is a mask. Zero values are considered boundaries. The output pixel is the minimum of the input pixel and the distance to a boundary (or neighbor value + 1 unit). distance values are calculated in pixels. The filter works by taking 6 passes (for 3d distance map): 2 along each axis (forward and backward). Each pass keeps a running minimum distance. For some reason, I preserve the sign if the distance. If the input mask is initially negative, the output distances will be negative. Distances maps can have inside (negative regions) and outsides (positive regions).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (81%)
  - Martin, Ken (8%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageCityBlockDistance.h)`
  - .`cxx` (`/Imaging/vtkImageCityBlockDistance.cxx)`

Tests:
  vtkImageCityBlockDistance (Tests)

Definition at line 55 of file vtkImageCityBlockDistance.h.

## Public Types
typedef vtkImageDecomposeFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageCityBlockDistance * | New ()
int | IsTypeOf (const char *type)
vtkImageCityBlockDistance * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCityBlockDistance ()
| ~vtkImageCityBlockDistance ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | IterativeExecuteData (vtkImageData *inData, vtkImageData *outData)
void | AllocateOutputScalars (vtkImageData *outData)

## Member Typedef Documentation

typedef vtkImageDecomposeFilter vtkImageCityBlockDistance::Superclass

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Definition at line 59 of file vtkImageCityBlockDistance.h.

## Constructor & Destructor Documentation

vtkImageCityBlockDistance::vtkImageCityBlockDistance | ( |  | ) | `[protected]`

vtkImageCityBlockDistance::~vtkImageCityBlockDistance | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkImageCityBlockDistance.h.

## Member Function Documentation

vtkImageCityBlockDistance* vtkImageCityBlockDistance::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCityBlockDistance::GetClassName | ( |  | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

int vtkImageCityBlockDistance::IsTypeOf | ( | const char * | type | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

virtual int vtkImageCityBlockDistance::IsA | ( | const char * | type | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

vtkImageCityBlockDistance* vtkImageCityBlockDistance::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter.

void vtkImageCityBlockDistance::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

void vtkImageCityBlockDistance::IterativeExecuteData | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Implements vtkImageIterateFilter.

void vtkImageCityBlockDistance::AllocateOutputScalars | ( | vtkImageData * | outData | ) | `[protected, virtual]`

| Reimplemented from vtkImageIterateFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCityBlockDistance.h